=== debian/changelog ===
fribid (1.0.4-2) unstable; urgency=low

  * Don't compress common.sh file that's sourced by the example scripts

 -- Samuel Lidén Borell <samuel@slbdata.se>  Wed, 30 Apr 2014 09:19:17 +0200

fribid (1.0.4-1) unstable; urgency=low

  * Upstream version 1.0.4. Test scripts are now installed
    under /usr/share/doc/fribid/examples/

 -- Samuel Lidén Borell <samuel@slbdata.se>  Tue, 29 Apr 2014 20:36:40 +0200

fribid (1.0.3-4) unstable; urgency=low

  * Updated debian/copyright file:
      - Moved MPL/NPL license texts into this file.
      - Updated "Format" URL to version 1.0
      - Updated copyright year

 -- Samuel Lidén Borell <samuel@slbdata.se>  Sat, 08 Feb 2014 22:36:35 +0100

fribid (1.0.3-3) unstable; urgency=low

  * Add upstream signing key and signature URLs in debian/watch
  * Add lintian override for the change above, since lintian is not up to
    date and expects an old file name.

 -- Samuel Lidén Borell <samuel@slbdata.se>  Sun, 02 Feb 2014 19:34:31 +0100

fribid (1.0.3-2) unstable; urgency=low

  * Build-depend on opensc. Thanks to Magnus Sandin for the patch
  * Bump standards-version.

 -- Samuel Lidén Borell <samuel@slbdata.se>  Sat, 01 Feb 2014 00:58:37 +0100

fribid (1.0.3-1) unstable; urgency=low

  * Upstream version 1.0.3

 -- Samuel Lidén Borell <samuel@slbdata.se>  Fri, 31 Jan 2014 23:57:08 +0100

fribid (1.0.2+git20121129-2) unstable; urgency=low

  * Add disclaimer to the package description

 -- Samuel Lidén Borell <samuel@slbdata.se>  Tue, 09 Apr 2013 00:18:31 +0200

fribid (1.0.2+git20121129-1) unstable; urgency=low

  * Upstream version 1.0.2
  * Multiarch patch from upstream GIT

 -- Samuel Lidén Borell <samuel@slbdata.se>  Sun, 31 Mar 2013 20:28:27 +0200

fribid (1.0.1a-1) unstable; urgency=low

  * Upstream version 1.0.1a

 -- Samuel Lidén Borell <samuel@slbdata.se>  Fri, 20 Apr 2012 19:11:24 +0200

fribid (1.0.0-4) unstable; urgency=low

  * No changes, just close ITP (Closes: #578563)

 -- Samuel Lidén Borell <samuel@slbdata.se>  Mon, 02 Jan 2012 23:07:06 +0100

fribid (1.0.0-3) unstable; urgency=low

  * Fix lintian errors in copyright file

 -- Samuel Lidén Borell <samuel@slbdata.se>  Sun, 25 Sep 2011 15:45:34 +0200

fribid (1.0.0-2) unstable; urgency=low

  * Updated the suggested and recommended packages.

 -- Samuel Lidén Borell <samuel@slbdata.se>  Sun, 25 Sep 2011 15:38:28 +0200

fribid (1.0.0-1) unstable; urgency=low

  * Imported upstream version 1.0.0.

 -- Samuel Lidén Borell <samuel@slbdata.se>  Sun, 25 Sep 2011 15:25:26 +0200

fribid (0.3.1-1) unstable; urgency=low

  * Imported upstream version 0.3.1.
  * Updated copyright information
  * Bumped Standards-Version to 3.9.2, added build-arch/indep rules
  * Thanks to Ruben Molina for reviewing the previos version.

 -- Samuel Lidén Borell <samuel@slbdata.se>  Mon, 11 Jul 2011 21:35:55 +0200

fribid (0.3.0-1) unstable; urgency=low

  * Imported upstream version 0.3.0. Notable changes include:
      - [Security] Fixed empty "text to sign" with invalid UTF-8 data.
      - Implemented support for obtaining file-based e-IDs.
      - Compatibility with more sites.
  * Build with hardening-wrapper.
  * Updated links Homepage and Vcs-Browser links.

 -- Samuel Lidén Borell <samuel@slbdata.se>  Sun, 24 Apr 2011 00:48:05 +0200

fribid (0.2.2-1) unstable; urgency=low

  * Imported Upstream version 0.2.2

 -- Samuel Lidén Borell <samuel@slbdata.se>  Sat, 18 Dec 2010 14:31:27 +0100

fribid (0.2.1a-1) unstable; urgency=low

  * Initial release for Debian (Closes: #578563)
  * My first package.
  * This Debian package is based on the packaging that was included
    in the FriBID sources up to version 0.2.0.

 -- Samuel Lidén Borell <samuel@slbdata.se>  Sun, 10 Oct 2010 23:59:45 +0200
