=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Support cross-compiling
ifneq ($(DEB_HOST_GNU_SYSTEM),$(DEB_BUILD_GNU_SYSTEM))
    CC=$(DEB_HOST_GNU_SYSTEM)-gcc
endif

# Disable optimizations if "noopt" is set
ifneq ($(findstring noopt,$(DEB_BUILD_OPTIONS)),)
    CFLAGS += -O0 -g
else
    CFLAGS += -O2 -g
endif

# Hardening: http://wiki.debian.org/Hardening
export DEB_BUILD_HARDENING=1

configure:
configure-stamp:
	dh_testdir
	./configure --prefix=/usr --optional-pkcs11 --plugin-path=/usr/lib/iceweasel/plugins --plugin-path=/usr/lib/mozilla/plugins --plugin-path=/usr/lib/midbrowser/plugins --plugin-path=/usr/lib/xulrunner-addons/plugins --plugin-path=/usr/lib/firefox/plugins --plugin-path=/usr/lib/xulrunner/plugins --plugin-path=/usr/lib/iceape/plugins
	touch $@

build: build-arch
build-arch: build-arch-stamp
build-arch-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	touch $@

build-indep:

clean:
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-arch-stamp
	rm -rf $(CURDIR)/debian/fribid
	$(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/fribid install

binary-indep: build install

binary-arch: build install
	dh_installchangelogs
	dh_installdocs
	dh_link
	dh_strip
	dh_compress -Xcommon.sh
	dh_fixperms
	dh_installdeb
	dh_shlibdeps /usr/lib/fribid/libfribidplugin.so /usr/lib/fribid/sign
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure
