=== debian/watch ===
version=3

opts="pgpsigurlmangle=s/$/.asc/" http://fribid.se/releases/source/fribid-(.*)\.tar\.bz2
